org.jgrapht.event

## Interface VertexSetListener<V>

- All Superinterfaces:
    EventListener
  All Known Subinterfaces:
    GraphListener<V,E>
  All Known Implementing Classes:
    ConnectivityInspector, DirectedNeighborIndex, JGraphXAdapter, NeighborIndex

      public interface VertexSetListener<V>
      extends EventListener

  A listener that is notified when the graph's vertex set changes. It should be used when only notifications on vertex-set changes are of interest. If all graph notifications are of interest better use `GraphListener`.
  Since:
    Jul 18, 2003
  Author:
    Barak Naveh
  See Also:
    `GraphListener`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `vertexAdded(GraphVertexChangeEvent<V> e)` Notifies that a vertex has been added to the graph.
    `void` | `vertexRemoved(GraphVertexChangeEvent<V> e)` Notifies that a vertex has been removed from the graph.

- - ### Method Detail

    - #### vertexAdded

          void vertexAdded(GraphVertexChangeEvent<V> e)

      Notifies that a vertex has been added to the graph.
      Parameters:
        `e` - the vertex event.

    - #### vertexRemoved

          void vertexRemoved(GraphVertexChangeEvent<V> e)

      Notifies that a vertex has been removed from the graph.
      Parameters:
        `e` - the vertex event.

Copyright © 2016. All rights reserved.